
var MenuPage = function (presenter) {
	this.resize();

	// 初期化
	var base_list = $('#menu-base-list');
	var table = $('<table></table>').css('width', '400px').css('margin', '0 auto').appendTo(base_list);
	for (var i = 0; i < data.length; i++) {
		var item = data[i];
		var tr = $('<tr></tr>').appendTo(table);
		var td_img = $('<td></td>').appendTo(tr);
		var td_chapters = $('<td></td>').css('text-align', 'left').css('line-height', '1.5').appendTo(tr);
		$('<img>').attr('src', 'resources/images/' + item.thumbnail + '.png')
					.data('base_id', i)
					.click(function(){
						presenter.to_show_page($(this).data('base_id'), 0);
					})
					.appendTo(td_img);
		for (var j = 0; j < item.chapters.length; j++) {
			$('<span></span>').css('text-decoration', 'underline').css('color', 'white').css('cursor', 'pointer')
					.data('base_id', i)
					.data('chapter_id', j)
					.click(function(){
						presenter.to_show_page($(this).data('base_id'), $(this).data('chapter_id'));
					})
					.text(item.chapters[j].name)
					.appendTo(td_chapters);
			$('<br>').appendTo(td_chapters);
		}
	}
};

MenuPage.prototype.show = function() {
	$('#menupage').css('display', 'block').css('opacity', 0).velocity({
		opacity: 1
	}, {
		duration: 400,
		easing: 'swing'
	})
	//$('#menupage').css('display', 'block');
};

MenuPage.prototype.hide = function() {
	$('#menupage').css('display', 'none');
};

MenuPage.prototype.resize = function(p_size, p_animate) {
	var size = p_size || get_aspected_size();
	var animate = p_animate || false;
	$('#menupage').velocity({
		'height': size.height,
		'top'   : size.top,
	}, {
		'duration': animate ? 300 : 0
	});
};
