
function Presenter() {
	this.menu_page = new MenuPage(this);
	this.show_page = new ShowPage(this);

	this.menu_page.show();
	this.show_page.hide();
}

Presenter.prototype.resize = function() {
	var ins = this;
	if (this.resize_timer && this.resize_timer !== false) {
        clearTimeout(this.resize_timer);
    }
    this.resize_timer = setTimeout(function() {
		var size = get_aspected_size();
		ins.menu_page.resize(size, true);
		ins.show_page.resize(size, true);
    }, 200);
};

Presenter.prototype.next_frame = function() {
	this.show_page.next_frame();
}

Presenter.prototype.to_show_page = function(base_id, chapter_id) {
	this.show_page.go_chapter(base_id, chapter_id);
	this.show_page.show();
	this.menu_page.hide();
};

Presenter.prototype.to_menu_page = function() {
	this.menu_page.show();
	this.show_page.hide();
};

